Bug 764695 - (GLUSTER-2963) Need a mechanism to get inputs from community
Need a mechanism to get inputs from community
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-31 05:21 EDT by Vidya Sakar
Modified: 2013-12-18 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 15:10:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: DP
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vidya Sakar 2011-05-31 05:21:23 EDT
Need a mechanism to collect troubleshooting information, deployment scenarios, QA test cases etc from the community.

Some thoughts from the community on this topic are in this thread
http://gluster.org/pipermail/gluster-users/2011-May/007742.html
Comment 1 Amar Tumballi 2011-06-01 03:28:54 EDT
I am still not clear about how CLI can do this... lets talk more on it
Comment 2 Amar Tumballi 2011-06-07 05:56:04 EDT
the idea here is a command which will get user a tarball, which will contain volume information, cluster info (peer status etc), log files, (if there is a core; core details)

bash# gluster get-setup details [VOLNAME]
details captured in /tmp/gluster.<PID>.<EPOCH>.tar.gz
bash#
Comment 3 Amar Tumballi 2011-06-22 02:27:54 EDT
VS,

How about coming out with some scripts which will be doing this for us? Instead of making 'glusterd' bulky to handle all these.

Will give out these two scripts and we can make it a separate rpm altogether, or even we can add them in 'extras/' directory of glusterfs release tarballs/rpms
Comment 4 Vidya Sakar 2011-06-22 03:52:35 EDT
Fine with me Amar.
Comment 5 Amar Tumballi 2012-04-17 15:10:03 EDT
VS, we have 'sosreport' now with RHS, and significant command line options are added to get the brick status. Hope that suffice as reason to close this bug. Will close it as WORKSFORME, please re-open this, if you have more thoughts.

Note You need to log in before you can comment on or make changes to this bug.